Generation Framework

## org.eclipse.gmf.tooldef.impl
Class GMFToolPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.gmf.tooldef.impl.GMFToolPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, GMFToolPackage

    public class GMFToolPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements GMFToolPackage

An implementation of the model Package.

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.tooldef.GMFToolPackage

`ABSTRACT_TOOL, ABSTRACT_TOOL__DESCRIPTION, ABSTRACT_TOOL__LARGE_ICON, ABSTRACT_TOOL__SMALL_ICON, ABSTRACT_TOOL__TITLE, ABSTRACT_TOOL_FEATURE_COUNT, ACTION_KIND, APPEARANCE_STYLE, BUNDLE_IMAGE, BUNDLE_IMAGE__BUNDLE, BUNDLE_IMAGE__PATH, BUNDLE_IMAGE_FEATURE_COUNT, CONTEXT_MENU, CONTEXT_MENU__DEFAULT, CONTEXT_MENU__ITEMS, CONTEXT_MENU_FEATURE_COUNT, CONTRIBUTION_ITEM, CONTRIBUTION_ITEM__ICON, CONTRIBUTION_ITEM__TITLE, CONTRIBUTION_ITEM_FEATURE_COUNT, CREATION_TOOL, CREATION_TOOL__DESCRIPTION, CREATION_TOOL__LARGE_ICON, CREATION_TOOL__SMALL_ICON, CREATION_TOOL__TITLE, CREATION_TOOL_FEATURE_COUNT, DEFAULT_IMAGE, DEFAULT_IMAGE_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, GENERIC_STYLE_SELECTOR, GENERIC_STYLE_SELECTOR__VALUES, GENERIC_STYLE_SELECTOR_FEATURE_COUNT, GENERIC_TOOL, GENERIC_TOOL__DESCRIPTION, GENERIC_TOOL__LARGE_ICON, GENERIC_TOOL__SMALL_ICON, GENERIC_TOOL__TITLE, GENERIC_TOOL__TOOL_CLASS, GENERIC_TOOL_FEATURE_COUNT, IMAGE, IMAGE_FEATURE_COUNT, ITEM_BASE, ITEM_BASE_FEATURE_COUNT, ITEM_REF, ITEM_REF__ITEM, ITEM_REF_FEATURE_COUNT, MAIN_MENU, MAIN_MENU__ITEMS, MAIN_MENU__TITLE, MAIN_MENU_FEATURE_COUNT, MENU, MENU__ITEMS, MENU_ACTION, MENU_ACTION__HOT_KEY, MENU_ACTION__ICON, MENU_ACTION__KIND, MENU_ACTION__TITLE, MENU_ACTION_FEATURE_COUNT, MENU_FEATURE_COUNT, PALETTE, PALETTE__DEFAULT, PALETTE__DESCRIPTION, PALETTE__LARGE_ICON, PALETTE__SMALL_ICON, PALETTE__TITLE, PALETTE__TOOLS, PALETTE_FEATURE_COUNT, PALETTE_SEPARATOR, PALETTE_SEPARATOR__DESCRIPTION, PALETTE_SEPARATOR__LARGE_ICON, PALETTE_SEPARATOR__SMALL_ICON, PALETTE_SEPARATOR__TITLE, PALETTE_SEPARATOR_FEATURE_COUNT, POPUP_MENU, POPUP_MENU__ICON, POPUP_MENU__ID, POPUP_MENU__ITEMS, POPUP_MENU__TITLE, POPUP_MENU_FEATURE_COUNT, PREDEFINED_ITEM, PREDEFINED_ITEM__IDENTIFIER, PREDEFINED_ITEM_FEATURE_COUNT, PREDEFINED_MENU, PREDEFINED_MENU__IDENTIFIER, PREDEFINED_MENU__ITEMS, PREDEFINED_MENU_FEATURE_COUNT, SEPARATOR, SEPARATOR__NAME, SEPARATOR_FEATURE_COUNT, STANDARD_TOOL, STANDARD_TOOL__DESCRIPTION, STANDARD_TOOL__LARGE_ICON, STANDARD_TOOL__SMALL_ICON, STANDARD_TOOL__TITLE, STANDARD_TOOL__TOOL_KIND, STANDARD_TOOL_FEATURE_COUNT, STANDARD_TOOL_KIND, STYLE_SELECTOR, STYLE_SELECTOR_FEATURE_COUNT, TOOL_CONTAINER, TOOL_CONTAINER__DESCRIPTION, TOOL_CONTAINER__LARGE_ICON, TOOL_CONTAINER__SMALL_ICON, TOOL_CONTAINER__TITLE, TOOL_CONTAINER__TOOLS, TOOL_CONTAINER_FEATURE_COUNT, TOOL_GROUP, TOOL_GROUP__ACTIVE, TOOL_GROUP__COLLAPSIBLE, TOOL_GROUP__DESCRIPTION, TOOL_GROUP__LARGE_ICON, TOOL_GROUP__SMALL_ICON, TOOL_GROUP__STACK, TOOL_GROUP__TITLE, TOOL_GROUP__TOOLS, TOOL_GROUP_FEATURE_COUNT, TOOL_REGISTRY, TOOL_REGISTRY__ALL_MENUS, TOOL_REGISTRY__PALETTE, TOOL_REGISTRY__SHARED_ACTIONS, TOOL_REGISTRY_FEATURE_COUNT, TOOLBAR, TOOLBAR__ITEMS, TOOLBAR_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` `getAbstractTool_Description()`
`org.eclipse.emf.ecore.EReference` `getAbstractTool_LargeIcon()`
`org.eclipse.emf.ecore.EReference` `getAbstractTool_SmallIcon()`
`org.eclipse.emf.ecore.EAttribute` `getAbstractTool_Title()`
`org.eclipse.emf.ecore.EClass` `getAbstractTool()`
`org.eclipse.emf.ecore.EEnum` `getActionKind()`
`org.eclipse.emf.ecore.EEnum` `getAppearanceStyle()`
`org.eclipse.emf.ecore.EAttribute` `getBundleImage_Bundle()`
`org.eclipse.emf.ecore.EAttribute` `getBundleImage_Path()`
`org.eclipse.emf.ecore.EClass` `getBundleImage()`
`org.eclipse.emf.ecore.EReference` `getContextMenu_Default()`
`org.eclipse.emf.ecore.EClass` `getContextMenu()`
`org.eclipse.emf.ecore.EReference` `getContributionItem_Icon()`
`org.eclipse.emf.ecore.EAttribute` `getContributionItem_Title()`
`org.eclipse.emf.ecore.EClass` `getContributionItem()`
`org.eclipse.emf.ecore.EClass` `getCreationTool()`
`org.eclipse.emf.ecore.EClass` `getDefaultImage()`
`org.eclipse.emf.ecore.EAttribute` `getGenericStyleSelector_Values()`
`org.eclipse.emf.ecore.EClass` `getGenericStyleSelector()`
`org.eclipse.emf.ecore.EAttribute` `getGenericTool_ToolClass()`
`org.eclipse.emf.ecore.EClass` `getGenericTool()`
`GMFToolFactory` `getGMFToolFactory()`
`org.eclipse.emf.ecore.EClass` `getImage()`
`org.eclipse.emf.ecore.EClass` `getItemBase()`
`org.eclipse.emf.ecore.EReference` `getItemRef_Item()`
`org.eclipse.emf.ecore.EClass` `getItemRef()`
`org.eclipse.emf.ecore.EAttribute` `getMainMenu_Title()`
`org.eclipse.emf.ecore.EClass` `getMainMenu()`
`org.eclipse.emf.ecore.EReference` `getMenu_Items()`
`org.eclipse.emf.ecore.EClass` `getMenu()`
`org.eclipse.emf.ecore.EAttribute` `getMenuAction_HotKey()`
`org.eclipse.emf.ecore.EAttribute` `getMenuAction_Kind()`
`org.eclipse.emf.ecore.EClass` `getMenuAction()`
`org.eclipse.emf.ecore.EReference` `getPalette_Default()`
`org.eclipse.emf.ecore.EClass` `getPalette()`
`org.eclipse.emf.ecore.EClass` `getPaletteSeparator()`
`org.eclipse.emf.ecore.EAttribute` `getPopupMenu_ID()`
`org.eclipse.emf.ecore.EClass` `getPopupMenu()`
`org.eclipse.emf.ecore.EAttribute` `getPredefinedItem_Identifier()`
`org.eclipse.emf.ecore.EClass` `getPredefinedItem()`
`org.eclipse.emf.ecore.EClass` `getPredefinedMenu()`
`org.eclipse.emf.ecore.EAttribute` `getSeparator_Name()`
`org.eclipse.emf.ecore.EClass` `getSeparator()`
`org.eclipse.emf.ecore.EAttribute` `getStandardTool_ToolKind()`
`org.eclipse.emf.ecore.EClass` `getStandardTool()`
`org.eclipse.emf.ecore.EEnum` `getStandardToolKind()`
`org.eclipse.emf.ecore.EClass` `getStyleSelector()`
`org.eclipse.emf.ecore.EClass` `getToolbar()`
`org.eclipse.emf.ecore.EReference` `getToolContainer_Tools()`
`org.eclipse.emf.ecore.EClass` `getToolContainer()`
`org.eclipse.emf.ecore.EReference` `getToolGroup_Active()`
`org.eclipse.emf.ecore.EAttribute` `getToolGroup_Collapsible()`
`org.eclipse.emf.ecore.EAttribute` `getToolGroup_Stack()`
`org.eclipse.emf.ecore.EClass` `getToolGroup()`
`org.eclipse.emf.ecore.EReference` `getToolRegistry_AllMenus()`
`org.eclipse.emf.ecore.EReference` `getToolRegistry_Palette()`
`org.eclipse.emf.ecore.EReference` `getToolRegistry_SharedActions()`
`org.eclipse.emf.ecore.EClass` `getToolRegistry()`
`static GMFToolPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static GMFToolPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `GMFToolPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
  ** Generated **

### getToolRegistry

    public org.eclipse.emf.ecore.EClass getToolRegistry()

  Specified by:
    `getToolRegistry` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Tool Registry'.
  See Also:
    `ToolRegistry`
  ** Generated **

### getToolRegistry_SharedActions

    public org.eclipse.emf.ecore.EReference getToolRegistry_SharedActions()

  Specified by:
    `getToolRegistry_SharedActions` in interface `GMFToolPackage`
  Returns:
    the meta object for the containment reference list 'Shared Actions'.
  See Also:
    `ToolRegistry.getSharedActions()`, `GMFToolPackage.getToolRegistry()`
  ** Generated **

### getToolRegistry_AllMenus

    public org.eclipse.emf.ecore.EReference getToolRegistry_AllMenus()

  Specified by:
    `getToolRegistry_AllMenus` in interface `GMFToolPackage`
  Returns:
    the meta object for the containment reference list 'All Menus'.
  See Also:
    `ToolRegistry.getAllMenus()`, `GMFToolPackage.getToolRegistry()`
  ** Generated **

### getToolRegistry_Palette

    public org.eclipse.emf.ecore.EReference getToolRegistry_Palette()

  Specified by:
    `getToolRegistry_Palette` in interface `GMFToolPackage`
  Returns:
    the meta object for the containment reference 'Palette'.
  See Also:
    `ToolRegistry.getPalette()`, `GMFToolPackage.getToolRegistry()`
  ** Generated **

### getAbstractTool

    public org.eclipse.emf.ecore.EClass getAbstractTool()

  Specified by:
    `getAbstractTool` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Abstract Tool'.
  See Also:
    `AbstractTool`
  ** Generated **

### getAbstractTool_SmallIcon

    public org.eclipse.emf.ecore.EReference getAbstractTool_SmallIcon()

  Specified by:
    `getAbstractTool_SmallIcon` in interface `GMFToolPackage`
  Returns:
    the meta object for the containment reference 'Small Icon'.
  See Also:
    `AbstractTool.getSmallIcon()`, `GMFToolPackage.getAbstractTool()`
  ** Generated **

### getAbstractTool_LargeIcon

    public org.eclipse.emf.ecore.EReference getAbstractTool_LargeIcon()

  Specified by:
    `getAbstractTool_LargeIcon` in interface `GMFToolPackage`
  Returns:
    the meta object for the containment reference 'Large Icon'.
  See Also:
    `AbstractTool.getLargeIcon()`, `GMFToolPackage.getAbstractTool()`
  ** Generated **

### getAbstractTool_Title

    public org.eclipse.emf.ecore.EAttribute getAbstractTool_Title()

  Specified by:
    `getAbstractTool_Title` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute 'Title'.
  See Also:
    `AbstractTool.getTitle()`, `GMFToolPackage.getAbstractTool()`
  ** Generated **

### getAbstractTool_Description

    public org.eclipse.emf.ecore.EAttribute getAbstractTool_Description()

  Specified by:
    `getAbstractTool_Description` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `AbstractTool.getDescription()`, `GMFToolPackage.getAbstractTool()`
  ** Generated **

### getToolContainer

    public org.eclipse.emf.ecore.EClass getToolContainer()

  Specified by:
    `getToolContainer` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Tool Container'.
  See Also:
    `ToolContainer`
  ** Generated **

### getToolContainer_Tools

    public org.eclipse.emf.ecore.EReference getToolContainer_Tools()

  Specified by:
    `getToolContainer_Tools` in interface `GMFToolPackage`
  Returns:
    the meta object for the containment reference list 'Tools'.
  See Also:
    `ToolContainer.getTools()`, `GMFToolPackage.getToolContainer()`
  ** Generated **

### getPaletteSeparator

    public org.eclipse.emf.ecore.EClass getPaletteSeparator()

  Specified by:
    `getPaletteSeparator` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Palette Separator'.
  See Also:
    `PaletteSeparator`
  ** Generated **

### getToolGroup

    public org.eclipse.emf.ecore.EClass getToolGroup()

  Specified by:
    `getToolGroup` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Tool Group'.
  See Also:
    `ToolGroup`
  ** Generated **

### getToolGroup_Collapsible

    public org.eclipse.emf.ecore.EAttribute getToolGroup_Collapsible()

  Specified by:
    `getToolGroup_Collapsible` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute 'Collapsible'.
  See Also:
    `ToolGroup.isCollapsible()`, `GMFToolPackage.getToolGroup()`
  ** Generated **

### getToolGroup_Stack

    public org.eclipse.emf.ecore.EAttribute getToolGroup_Stack()

  Specified by:
    `getToolGroup_Stack` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute 'Stack'.
  See Also:
    `ToolGroup.isStack()`, `GMFToolPackage.getToolGroup()`
  ** Generated **

### getToolGroup_Active

    public org.eclipse.emf.ecore.EReference getToolGroup_Active()

  Specified by:
    `getToolGroup_Active` in interface `GMFToolPackage`
  Returns:
    the meta object for the reference 'Active'.
  See Also:
    `ToolGroup.getActive()`, `GMFToolPackage.getToolGroup()`
  ** Generated **

### getPalette

    public org.eclipse.emf.ecore.EClass getPalette()

  Specified by:
    `getPalette` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Palette'.
  See Also:
    `Palette`
  ** Generated **

### getPalette_Default

    public org.eclipse.emf.ecore.EReference getPalette_Default()

  Specified by:
    `getPalette_Default` in interface `GMFToolPackage`
  Returns:
    the meta object for the reference 'Default'.
  See Also:
    `Palette.getDefault()`, `GMFToolPackage.getPalette()`
  ** Generated **

### getStandardTool

    public org.eclipse.emf.ecore.EClass getStandardTool()

  Specified by:
    `getStandardTool` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Standard Tool'.
  See Also:
    `StandardTool`
  ** Generated **

### getStandardTool_ToolKind

    public org.eclipse.emf.ecore.EAttribute getStandardTool_ToolKind()

  Specified by:
    `getStandardTool_ToolKind` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute 'Tool Kind'.
  See Also:
    `StandardTool.getToolKind()`, `GMFToolPackage.getStandardTool()`
  ** Generated **

### getCreationTool

    public org.eclipse.emf.ecore.EClass getCreationTool()

  Specified by:
    `getCreationTool` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Creation Tool'.
  See Also:
    `CreationTool`
  ** Generated **

### getGenericTool

    public org.eclipse.emf.ecore.EClass getGenericTool()

  Specified by:
    `getGenericTool` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Generic Tool'.
  See Also:
    `GenericTool`
  ** Generated **

### getGenericTool_ToolClass

    public org.eclipse.emf.ecore.EAttribute getGenericTool_ToolClass()

  Specified by:
    `getGenericTool_ToolClass` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute 'Tool Class'.
  See Also:
    `GenericTool.getToolClass()`, `GMFToolPackage.getGenericTool()`
  ** Generated **

### getItemBase

    public org.eclipse.emf.ecore.EClass getItemBase()

  Specified by:
    `getItemBase` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Item Base'.
  See Also:
    `ItemBase`
  ** Generated **

### getMenu

    public org.eclipse.emf.ecore.EClass getMenu()

  Specified by:
    `getMenu` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Menu'.
  See Also:
    `Menu`
  ** Generated **

### getMenu_Items

    public org.eclipse.emf.ecore.EReference getMenu_Items()

  Specified by:
    `getMenu_Items` in interface `GMFToolPackage`
  Returns:
    the meta object for the containment reference list 'Items'.
  See Also:
    `Menu.getItems()`, `GMFToolPackage.getMenu()`
  ** Generated **

### getSeparator

    public org.eclipse.emf.ecore.EClass getSeparator()

  Specified by:
    `getSeparator` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Separator'.
  See Also:
    `Separator`
  ** Generated **

### getSeparator_Name

    public org.eclipse.emf.ecore.EAttribute getSeparator_Name()

  Specified by:
    `getSeparator_Name` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Separator.getName()`, `GMFToolPackage.getSeparator()`
  ** Generated **

### getPredefinedItem

    public org.eclipse.emf.ecore.EClass getPredefinedItem()

  Specified by:
    `getPredefinedItem` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Predefined Item'.
  See Also:
    `PredefinedItem`
  ** Generated **

### getPredefinedItem_Identifier

    public org.eclipse.emf.ecore.EAttribute getPredefinedItem_Identifier()

  Specified by:
    `getPredefinedItem_Identifier` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute 'Identifier'.
  See Also:
    `PredefinedItem.getIdentifier()`, `GMFToolPackage.getPredefinedItem()`
  ** Generated **

### getPredefinedMenu

    public org.eclipse.emf.ecore.EClass getPredefinedMenu()

  Specified by:
    `getPredefinedMenu` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Predefined Menu'.
  See Also:
    `PredefinedMenu`
  ** Generated **

### getContributionItem

    public org.eclipse.emf.ecore.EClass getContributionItem()

  Specified by:
    `getContributionItem` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Contribution Item'.
  See Also:
    `ContributionItem`
  ** Generated **

### getContributionItem_Icon

    public org.eclipse.emf.ecore.EReference getContributionItem_Icon()

  Specified by:
    `getContributionItem_Icon` in interface `GMFToolPackage`
  Returns:
    the meta object for the containment reference 'Icon'.
  See Also:
    `ContributionItem.getIcon()`, `GMFToolPackage.getContributionItem()`
  ** Generated **

### getContributionItem_Title

    public org.eclipse.emf.ecore.EAttribute getContributionItem_Title()

  Specified by:
    `getContributionItem_Title` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute 'Title'.
  See Also:
    `ContributionItem.getTitle()`, `GMFToolPackage.getContributionItem()`
  ** Generated **

### getMenuAction

    public org.eclipse.emf.ecore.EClass getMenuAction()

  Specified by:
    `getMenuAction` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Menu Action'.
  See Also:
    `MenuAction`
  ** Generated **

### getMenuAction_Kind

    public org.eclipse.emf.ecore.EAttribute getMenuAction_Kind()

  Specified by:
    `getMenuAction_Kind` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `MenuAction.getKind()`, `GMFToolPackage.getMenuAction()`
  ** Generated **

### getMenuAction_HotKey

    public org.eclipse.emf.ecore.EAttribute getMenuAction_HotKey()

  Specified by:
    `getMenuAction_HotKey` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute 'Hot Key'.
  See Also:
    `MenuAction.getHotKey()`, `GMFToolPackage.getMenuAction()`
  ** Generated **

### getItemRef

    public org.eclipse.emf.ecore.EClass getItemRef()

  Specified by:
    `getItemRef` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Item Ref'.
  See Also:
    `ItemRef`
  ** Generated **

### getItemRef_Item

    public org.eclipse.emf.ecore.EReference getItemRef_Item()

  Specified by:
    `getItemRef_Item` in interface `GMFToolPackage`
  Returns:
    the meta object for the reference 'Item'.
  See Also:
    `ItemRef.getItem()`, `GMFToolPackage.getItemRef()`
  ** Generated **

### getContextMenu

    public org.eclipse.emf.ecore.EClass getContextMenu()

  Specified by:
    `getContextMenu` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Context Menu'.
  See Also:
    `ContextMenu`
  ** Generated **

### getContextMenu_Default

    public org.eclipse.emf.ecore.EReference getContextMenu_Default()

  Specified by:
    `getContextMenu_Default` in interface `GMFToolPackage`
  Returns:
    the meta object for the reference 'Default'.
  See Also:
    `ContextMenu.getDefault()`, `GMFToolPackage.getContextMenu()`
  ** Generated **

### getPopupMenu

    public org.eclipse.emf.ecore.EClass getPopupMenu()

  Specified by:
    `getPopupMenu` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Popup Menu'.
  See Also:
    `PopupMenu`
  ** Generated **

### getPopupMenu_ID

    public org.eclipse.emf.ecore.EAttribute getPopupMenu_ID()

  Specified by:
    `getPopupMenu_ID` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `PopupMenu.getID()`, `GMFToolPackage.getPopupMenu()`
  ** Generated **

### getMainMenu

    public org.eclipse.emf.ecore.EClass getMainMenu()

  Specified by:
    `getMainMenu` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Main Menu'.
  See Also:
    `MainMenu`
  ** Generated **

### getMainMenu_Title

    public org.eclipse.emf.ecore.EAttribute getMainMenu_Title()

  Specified by:
    `getMainMenu_Title` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute 'Title'.
  See Also:
    `MainMenu.getTitle()`, `GMFToolPackage.getMainMenu()`
  ** Generated **

### getToolbar

    public org.eclipse.emf.ecore.EClass getToolbar()

  Specified by:
    `getToolbar` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Toolbar'.
  See Also:
    `Toolbar`
  ** Generated **

### getImage

    public org.eclipse.emf.ecore.EClass getImage()

  Specified by:
    `getImage` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Image'.
  See Also:
    `Image`
  ** Generated **

### getDefaultImage

    public org.eclipse.emf.ecore.EClass getDefaultImage()

  Specified by:
    `getDefaultImage` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Default Image'.
  See Also:
    `DefaultImage`
  ** Generated **

### getBundleImage

    public org.eclipse.emf.ecore.EClass getBundleImage()

  Specified by:
    `getBundleImage` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Bundle Image'.
  See Also:
    `BundleImage`
  ** Generated **

### getBundleImage_Path

    public org.eclipse.emf.ecore.EAttribute getBundleImage_Path()

  Specified by:
    `getBundleImage_Path` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute 'Path'.
  See Also:
    `BundleImage.getPath()`, `GMFToolPackage.getBundleImage()`
  ** Generated **

### getBundleImage_Bundle

    public org.eclipse.emf.ecore.EAttribute getBundleImage_Bundle()

  Specified by:
    `getBundleImage_Bundle` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute 'Bundle'.
  See Also:
    `BundleImage.getBundle()`, `GMFToolPackage.getBundleImage()`
  ** Generated **

### getStyleSelector

    public org.eclipse.emf.ecore.EClass getStyleSelector()

  Specified by:
    `getStyleSelector` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Style Selector'.
  See Also:
    `StyleSelector`
  ** Generated **

### getGenericStyleSelector

    public org.eclipse.emf.ecore.EClass getGenericStyleSelector()

  Specified by:
    `getGenericStyleSelector` in interface `GMFToolPackage`
  Returns:
    the meta object for class 'Generic Style Selector'.
  See Also:
    `GenericStyleSelector`
  ** Generated **

### getGenericStyleSelector_Values

    public org.eclipse.emf.ecore.EAttribute getGenericStyleSelector_Values()

  Specified by:
    `getGenericStyleSelector_Values` in interface `GMFToolPackage`
  Returns:
    the meta object for the attribute list 'Values'.
  See Also:
    `GenericStyleSelector.getValues()`, `GMFToolPackage.getGenericStyleSelector()`
  ** Generated **

### getStandardToolKind

    public org.eclipse.emf.ecore.EEnum getStandardToolKind()

  Specified by:
    `getStandardToolKind` in interface `GMFToolPackage`
  Returns:
    the meta object for enum 'Standard Tool Kind'.
  See Also:
    `StandardToolKind`
  ** Generated **

### getActionKind

    public org.eclipse.emf.ecore.EEnum getActionKind()

  Specified by:
    `getActionKind` in interface `GMFToolPackage`
  Returns:
    the meta object for enum 'Action Kind'.
  See Also:
    `ActionKind`
  ** Generated **

### getAppearanceStyle

    public org.eclipse.emf.ecore.EEnum getAppearanceStyle()

  Specified by:
    `getAppearanceStyle` in interface `GMFToolPackage`
  Returns:
    the meta object for enum 'Appearance Style'.
  See Also:
    `AppearanceStyle`
  ** Generated **

### getGMFToolFactory

    public GMFToolFactory getGMFToolFactory()

  Specified by:
    `getGMFToolFactory` in interface `GMFToolPackage`
  Returns:
    the factory that creates the instances of the model.
  ** Generated **

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

  ** Generated **

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.